package logwire.web.bo.annotation;

import logwire.web.bo.field.IChoice;

import java.lang.annotation.ElementType;
import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;
import java.lang.annotation.Target;

/**
 * 声明列属性的枚举字典
 */
@Target({ElementType.FIELD})
@Retention(RetentionPolicy.RUNTIME)
public @interface Choice {
    Class<? extends IChoice> value();
}
